<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('user_syarikats', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id');
            $table->integer('syarikat_id');
            $table->date('dt_batal')->nullable();
            $table->enum('status', ['aktif','tidak']);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('user_syarikats');
    }
};
